> ## Documentation Index
> Fetch the complete documentation index at: https://docs.taidalos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Subject



## OpenAPI

````yaml POST /v1/subjects/create-subject
openapi: 3.0.0
info:
  title: Taidalos API Documentation
  termsOfService: https://www.taidalos.com/gtc/
  contact:
    name: Customer Support
    url: https://www.taidalos.com
    email: cs@taidalos.com
  version: '1.0'
servers:
  - url: https://api.taidalos.com
security: []
tags:
  - description: Operations about subjects
    name: Subjects
  - description: Operations about media search configuration
    name: Media Search Configuration
  - description: Operations about media search
    name: Media Search
externalDocs:
  description: Get started with guides
  url: https://taidalos.com/tags/guide/
paths:
  /v1/subjects/create-subject:
    post:
      tags:
        - Subjects
      summary: with this POST request you can create a new subject
      parameters:
        - description: <Authorization Token>
          name: Authorization
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/main.createSubjectRequest'
        description: request body
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/main.createSubjectResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/main.problemJson'
components:
  schemas:
    main.createSubjectRequest:
      type: object
      properties:
        data:
          description: >-
            `data` represents the primary structure containing information about
            a subject to be created, including details like name, type,
            industries, and more.
          type: object
          properties:
            aliases:
              description: >-
                `aliases` specifies alternative names or titles associated with
                the subject.
              type: array
              items:
                type: string
              example:
                - Facebook
                - Instagram
            date_of_birth:
              description: >-
                `date_of_birth` represents the date of birth of the subject in
                the format YYYY-MM-DD.
              type: string
              example: '1980-04-07T00:00:00.000Z'
            date_of_incorporation:
              description: >-
                `date_of_incorporation` represents the incorporation date of a
                legal entity in the format "YYYY-MM-DD".
              type: string
              example: '1980-04-07T00:00:00.000Z'
            industries:
              description: >-
                `industries` represents a list of industries associated with the
                subject, e.g., Banking, Insurance, Telecommunications.
              type: array
              items:
                type: string
              example:
                - Banking
                - Insurance
                - Telecommunications
            internal_id:
              description: >-
                `internal_id` represents a unique identifier for the subject
                within an external system, such as CRM.
              type: string
              example: crm_id#123456789
            name:
              description: '`name` represents the name of the subject to be created.'
              type: string
              example: Jan Marsalek
            nationalities:
              description: >-
                `nationalities` represents the list of nationalities associated
                with the subject, serialized as an array of strings.
              type: array
              items:
                type: string
              example:
                - US
                - GB
            places:
              description: >-
                `places` is a list of places associated with the subject, each
                defined by a description and a place identifier.
              type: array
              items:
                $ref: '#/components/schemas/main.createSubjectPlaceRequest'
            type:
              description: >-
                `type` specifies the type of subject being created, either
                "INDIVIDUAL" or "LEGAL_ENTITY".
              type: string
              enum:
                - INDIVIDUAL
                - LEGAL_ENTITY
                - VESSEL
              example: INDIVIDUAL
    main.createSubjectResponse:
      type: object
      properties:
        data:
          description: '`data` contains the created subject''s unique identifier.'
          type: object
          properties:
            subject_id:
              description: '`subject_id` is the unique identifier for the created subject.'
              type: string
              example: 123e4567-e89b-12d3-a456-426614174000
    main.problemJson:
      type: object
      properties:
        context:
          description: >-
            `context` provides additional information about the error, including
            the HTTP method and path where it occurred.
          allOf:
            - $ref: '#/components/schemas/main.defaultProblemContext'
        details:
          description: >-
            `details` provides a detailed human-readable explanation of the
            specific error.
          type: string
          example: Details explaining the error
        instance:
          description: >-
            `instance` specifies a unique URI identifying the context of the
            error, such as organisation, user, and request details.
          type: string
          example: /org/{org_id}/user/{user_id}/request-id/{request_id}
        title:
          description: >-
            `title` provides a short, human-readable summary of the problem type
            or error encountered.
          type: string
          example: Error ShortName
        type:
          description: >-
            `type` is a URI reference that identifies the problem type, allowing
            clients to recognize the type of error encountered.
          type: string
          example: https://errors.taidalos.com/common/{error-type}
    main.createSubjectPlaceRequest:
      type: object
      properties:
        description:
          description: >-
            `description` provides a short explanation or label for the place
            associated with the subject.
          type: string
          example: Head Office
        place:
          description: >-
            `place` represents the location associated with the subject,
            formatted as an address or identifier.
          type: string
          example: 123 Main Street, New York, USA
    main.defaultProblemContext:
      type: object
      required:
        - method
        - path
      properties:
        method:
          description: >-
            `method` specifies the HTTP method (e.g., GET, POST) that was used
            in the problematic request.
          type: string
          example: '{method}'
        path:
          description: >-
            `path` specifies the HTTP request path associated with the
            encountered problem.
          type: string
          example: '{path}'
        timestamp:
          type: string

````